import type { UmbBlockRteLayoutModel, UmbBlockRteTypeModel } from '../types.js';
import { UMB_BLOCK_RTE_MANAGER_CONTEXT } from './block-rte-manager.context-token.js';
import { UMB_BLOCK_RTE_ENTRIES_CONTEXT } from './block-rte-entries.context-token.js';
import { UmbBlockEntryContext } from '../../block/index.js';
import type { UmbControllerHost } from '../../../../libs/controller-api/index.js';
export declare class UmbBlockRteEntryContext extends UmbBlockEntryContext<typeof UMB_BLOCK_RTE_MANAGER_CONTEXT, typeof UMB_BLOCK_RTE_MANAGER_CONTEXT.TYPE, typeof UMB_BLOCK_RTE_ENTRIES_CONTEXT, typeof UMB_BLOCK_RTE_ENTRIES_CONTEXT.TYPE, UmbBlockRteTypeModel, UmbBlockRteLayoutModel> {
    /** @deprecated Use `displayInlineConfig` instead. This field will be removed in Umbraco 19. [LK] */
    readonly displayInline: import("rxjs").Observable<boolean | undefined>;
    readonly displayInlineConfig: import("rxjs").Observable<boolean | undefined>;
    readonly forceHideContentEditorInOverlay: import("rxjs").Observable<boolean | undefined>;
    readonly showContentEdit: import("rxjs").Observable<boolean>;
    constructor(host: UmbControllerHost);
    protected _gotManager(): void;
    protected _gotEntries(): void;
    protected _gotContentType(): void;
}
